// =====================================================================
//  $Id: St01DataRecordConversion.hh,v 1.1 2003/06/27 19:16:42 goiwai Exp $
//  $Name: CLDAQ-1-06-02 $
// =====================================================================
#ifndef __ST01DATARECORDCONVERSION_HH
#define __ST01DATARECORDCONVERSION_HH

#include "Tglobals.h"
#include "TDataMultiplicity.hh"
#include "TDataRecord.hh"
#include "St01Map.hh"

class St01DataRecordConversion
  : public St01Map
{

  private:
    Tbool theConversionSuccess;

  public:
    St01DataRecordConversion();
    ~St01DataRecordConversion();

  public:
    TDataMultiplicity& Convert( const TDataRecord& record );
    Tbool IsSuccess() const;

};

inline Tbool St01DataRecordConversion::IsSuccess() const
{
  return( theConversionSuccess );
}

#endif
